- Qt 6.10
- Qt Positioning
- QML Types
- geoPath
- Qt 6.10.2 Reference Documentation

# geoPath QML Value Type

The geoPath type represents a geographic path. More...

Import Statement: | `import QtPositioning`

## Properties

- path : list<geoCoordinate>
- width : real

## Detailed Description

The geoPath type is a geoShape that represents a geographic path. It is a direct representation of a QGeoPath and is defined in terms of a path which holds the list of geoCoordinates in the path.

The path is considered invalid if it is empty.

When integrating with C++, note that any QGeoPath value passed into QML from C++ is automatically converted into a geoPath value, and vice versa.

## Property Documentation

path : list<geoCoordinate>

This property holds the list of coordinates defining the path.

width : real

This property holds the width of the path in meters. This is currently only used when calling the contains() method.

The default value for the width is 0.